<?xml version='1.0'?>
<xc:Partition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	      xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
	      xmlns:xc="http://xdaq.web.cern.ch/xdaq/xsd/2004/XMLConfiguration-30">

  <xc:Context url="http://gem904daq04:20516">
    <xc:Application class="gem::hw::amc::AMCManager" id="30" instance="0" network="local">
      <properties xmlns="urn:xdaq-application:gem::hw::amc::AMCManager"
		  xsi:type="soapenc:Struct">
	<DisableMonitoring xsi:type="xsd:boolean">true</DisableMonitoring>
	<AMCSlots       xsi:type="xsd:string">2</AMCSlots>
	<ConnectionFile xsi:type="xsd:string">connections.xml</ConnectionFile>
	<AllAMCsInfo xsi:type="soapenc:Array"  soapenc:arrayType="xsd:ur-type[12]">
          <AMCInfo   xsi:type="soapenc:Struct" soapenc:position="1"> <!--  position must be slot-1  -->
            <crateID  xsi:type="xsd:integer">1</crateID>
            <slot     xsi:type="xsd:integer">2</slot>
            <present  xsi:type="xsd:boolean">true</present>
            <sbitSource    xsi:type="xsd:integer">5</sbitSource>
            <enableZS  xsi:type="xsd:boolean">false</enableZS>
          </AMCInfo>
	</AllAMCsInfo>
      </properties>
    </xc:Application>

   

    <xc:Application class="gem::hw::amc13::AMC13Manager" id="255" instance="3" network="local">
      <properties xmlns="urn:xdaq-application:gem::hw::amc13::AMC13Manager"
        	  xsi:type="soapenc:Struct">
        <amc13ConfigParams xsi:type="soapenc:Struct">
          <ConnectionFile     xsi:type="xsd:string">connections.xml</ConnectionFile>
	      <CardName           xsi:type="xsd:string">gem.shelf01.amc13</CardName>
          <!--<AMCInputEnableList xsi:type="xsd:string">2</AMCInputEnableList>-->
          <AMCInputEnableList xsi:type="xsd:string">2</AMCInputEnableList>
          <AMCIgnoreTTSList   xsi:type="xsd:string">1,3-12</AMCIgnoreTTSList>

          <!--<EnableDAQLink       xsi:type="xsd:boolean">true</EnableDAQLink>
          <EnableFakeData      xsi:type="xsd:boolean">false</EnableFakeData>
          <MonitorBackPressure xsi:type="xsd:boolean">false</MonitorBackPressure>-->
          <EnableDAQLink       xsi:type="xsd:boolean">false</EnableDAQLink>
          <EnableFakeData      xsi:type="xsd:boolean">false</EnableFakeData>
          <MonitorBackPressure xsi:type="xsd:boolean">false</MonitorBackPressure>
          <EnableLocalTTC      xsi:type="xsd:boolean">true</EnableLocalTTC>

	  <!--Scan Routines Config -->
	  <!-- LOCAL TRIGGERS = enableLocalL1A = true, LEMO false, EnableLocalTTC true -->
	  <!-- LEMO TRIGGERS  = enableLocalL1A = true, LEMO true, EnableLocalTTC true -->
	  <!-- EXTERNAL TRIGGERS (TTC) = enableLocalL1A = false, LEMO false, EnableLocalTTC false -->

      <!--<LocalTriggerConfig xsi:type="soapenc:Struct">
        <EnableLocalL1A         xsi:type="xsd:boolean">false</EnableLocalL1A>
	    <EnableLEMO             xsi:type="xsd:boolean">false</EnableLEMO>

            <InternalPeriodicPeriod xsi:type="xsd:unsignedInt">1500</InternalPeriodicPeriod>
            <L1Aburst               xsi:type="xsd:unsignedInt">1</L1Aburst>
            <L1Amode                xsi:type="xsd:integer">2</L1Amode>
            <L1Arules               xsi:type="xsd:integer">0</L1Arules>
	    <sendL1ATriburst        xsi:type="xsd:boolean">false</sendL1ATriburst>
	    <startL1ATricont        xsi:type="xsd:boolean">false</startL1ATricont>
        </LocalTriggerConfig>-->
      <LocalTriggerConfig xsi:type="soapenc:Struct">
             <EnableLocalL1A         xsi:type="xsd:boolean">true</EnableLocalL1A>
             <EnableLEMO             xsi:type="xsd:boolean">false</EnableLEMO>
             <!--<StartL1AGen            xsi:type="xsd:boolean">false</StartL1AGen>-->

             <!--  L1Amode: Select the mode of the local trigger generator
                  0 - per N orbit (N specified by period), always at BX 500
                  1 - per N BX (N specified by period)
                  2 - random (rate specified by period, in 2Hz units)
                  InternalPeriodicPeriod: frequency of trigger  -->
             <InternalPeriodicPeriod xsi:type="xsd:unsignedInt">100</InternalPeriodicPeriod>
             <L1Aburst               xsi:type="xsd:unsignedInt">1</L1Aburst>
             <L1Amode                xsi:type="xsd:integer">0</L1Amode>
             <L1Arules               xsi:type="xsd:integer">0</L1Arules>
             <sendL1ATriburst        xsi:type="xsd:boolean">false</sendL1ATriburst>
             <startL1ATricont        xsi:type="xsd:boolean">false</startL1ATricont>
           </LocalTriggerConfig>

          <AMC13TTCConfig xsi:type="soapenc:Struct">
            <RESYNC_CMD  xsi:type="xsd:unsignedInt">0x04</RESYNC_CMD>
            <RESYNC_MASK xsi:type="xsd:unsignedInt">0x01</RESYNC_MASK>
            <OC0_CMD     xsi:type="xsd:unsignedInt">0x08</OC0_CMD>
            <OC0_MASK    xsi:type="xsd:unsignedInt">0x01</OC0_MASK>
          </AMC13TTCConfig>

          <BGOConfig xsi:type="soapenc:Array"  soapenc:arrayType="xsd:ur-type[4]">
            
            <BGOInfo xsi:type="soapenc:Struct" soapenc:position="0">
	        <BGOChannel  xsi:type="xsd:integer">0</BGOChannel>
	        <BGOcmd      xsi:type="xsd:unsignedInt">0x14</BGOcmd>
	        <BGObx       xsi:type="xsd:unsignedInt">450</BGObx><!--450default should be 50 after the bx of L1A, that forL1Amode=1 happens at 500-->  <!--0x1-->
	        <BGOprescale xsi:type="xsd:unsignedInt">0x1</BGOprescale>
	        <BGOrepeat   xsi:type="xsd:boolean">true</BGOrepeat>
        </BGOInfo>
          
          </BGOConfig>
          <PrescaleFactor xsi:type="xsd:integer">1</PrescaleFactor>
          <BCOffset       xsi:type="xsd:integer">1</BCOffset>

          <FEDID    xsi:type="xsd:unsignedInt">1</FEDID>
          <SFPMask  xsi:type="xsd:unsignedInt">1</SFPMask>
          <SlotMask xsi:type="xsd:unsignedInt">1</SlotMask>
        </amc13ConfigParams>
      </properties>
    </xc:Application>
    
    <xc:Application class="gem::hw::amc13::AMC13Readout" id="260" instance="0" network="local">
      <properties xmlns="urn:xdaq-application:gem::hw::amc13::AMC13Readout"
	  xsi:type="soapenc:Struct">
        <ConnectionFile     xsi:type="xsd:string">connections.xml</ConnectionFile>
        <CardName           xsi:type="xsd:string">gem.shelf01.amc13</CardName>
        
        <DeviceName      xsi:type="xsd:string">AMC13</DeviceName>
        <crateID         xsi:type="xsd:integer">1</crateID>
        <slot            xsi:type="xsd:integer">13</slot>
        <ReadoutSettings xsi:type="soapenc:Struct">
          <runType        xsi:type="xsd:string">Testing</runType>
          <fileName       xsi:type="xsd:string">test</fileName>
          <outputType     xsi:type="xsd:string">BIN</outputType>
          <outputLocation xsi:type="xsd:string">/tmp/</outputLocation>
          <setupLocation  xsi:type="xsd:string">CERN904</setupLocation>
        </ReadoutSettings>
      </properties>
    </xc:Application>
   
    <xc:Application class="gem::supervisor::GEMSupervisor" id="16" instance="0" network="local">
      <properties xmlns="urn:xdaq-application:GEMSupervisor"
		  xsi:type="soapenc:Struct">
        <HandleTCDS        xsi:type="xsd:boolean">false</HandleTCDS>
        <UseLocalReadout   xsi:type="xsd:boolean">true</UseLocalReadout>
        <UseFedKitReadout  xsi:type="xsd:boolean">false</UseFedKitReadout>

        <ScanInfo xsi:type="soapenc:Struct">
          <ScanType   xsi:type="xsd:unsignedInt">1</ScanType>
          <ScanMin    xsi:type="xsd:unsignedInt">0</ScanMin>
          <ScanMax    xsi:type="xsd:unsignedInt">101</ScanMax>
          <StepSize   xsi:type="xsd:unsignedInt">1</StepSize>
          <NTriggers  xsi:type="xsd:unsignedLong">10000</NTriggers>
        </ScanInfo>-->

        <TCDSConfig xsi:type="soapenc:Struct">
          <HandleTCDS         xsi:type="xsd:boolean">false</HandleTCDS>
          <UsePrimaryTCDS     xsi:type="xsd:boolean">true</UsePrimaryTCDS>
          <ICIHardwareConfig  xsi:type="xsd:string">${HOME}/config/tcds/CI_with_CPM.txt</ICIHardwareConfig>
          <PIHardwareConfig   xsi:type="xsd:string">${HOME}/config/tcds/PI.txt</PIHardwareConfig>
          <LPMHardwareConfig  xsi:type="xsd:string">${HOME}/config/tcds/LPM.txt</LPMHardwareConfig>
          <CPMHardwareConfig  xsi:type="xsd:string">${HOME}/config/tcds/CPM.txt</CPMHardwareConfig>
        </TCDSConfig>


      </properties>
    </xc:Application>
   
    <xc:Application class="gem::calib::Calibration" id="17" instance="0" network="local">
      <properties xmlns="urn:xdaq-application:gem::calib::Calibration"
                   xsi:type="soapenc:Struct">
         <nShelves  xsi:type="xsd:integer">2</nShelves>
       </properties>
    </xc:Application> 



 <xc:Application class="gem::hw::optohybrid::OptoHybridManager" id="50" instance="0" network="local">
      <properties xmlns="urn:xdaq-application:gem::hw::optohybrid::OptoHybridManager"
        	  xsi:type="soapenc:Struct">
        <!--AMCSlots       xsi:type="xsd:string">10</AMCSlots-->
        <ConnectionFile xsi:type="xsd:string">connections.xml</ConnectionFile>
        <AllOptoHybridsInfo xsi:type="soapenc:Array"  soapenc:arrayType="xsd:ur-type[108]">
          <OptoHybridInfo   xsi:type="soapenc:Struct" soapenc:position="12"> <!-- position must be (slot-1)*12+link -->
            <crateID xsi:type="xsd:integer">1</crateID>
            <slot    xsi:type="xsd:integer">2</slot>
            <link    xsi:type="xsd:integer">0</link>
            <present xsi:type="xsd:boolean">true</present>
           <!-- <CardName xsi:type="xsd:string">gem.shelf01.ctp7-02.optohybrid00</CardName>-->

            <!--<triggerSource xsi:type="xsd:integer">0</triggerSource>-->
            <!--<sbitSource    xsi:type="xsd:integer">5</sbitSource>-->
          </OptoHybridInfo>
        </AllOptoHybridsInfo>
      </properties>
 </xc:Application>


    
    
    <xc:Module>${XDAQ_ROOT}/lib/libxdaq2rc.so</xc:Module>

    <xc:Module>${BUILD_HOME}/gemutils/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemutils.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gembase/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgembase.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemsupervisor/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemsupervisor.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemreadout/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemreadout.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemhardware/devices/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemhwdevices.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemhardware/utils/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemhwutils.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemhardware/managers/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemhwmanagers.so</xc:Module>
    <xc:Module>${BUILD_HOME}/gemcalibration/lib/${XDAQ_OS}/${XDAQ_PLATFORM}/libgemcalibration.so</xc:Module>
  </xc:Context>

 

</xc:Partition>
